@use "../sable";

$rounded-none: 0 !default;
$rounded-xs  : .125rem !default;
$rounded-sm  : .25rem !default;
$rounded-base: .375rem !default;
$rounded-md  : .5rem !default;
$rounded-lg  : .675rem !default;
$rounded-xl  : .75rem !default;
$rounded-2xl : 1rem !default;
$rounded-3xl : 1.5rem !default;
$rounded-4xl : 2rem !default;

.rounded-none,
.hover\:rounded-none:hover {
  @include sable.border-border-radius($rounded-none);
}
.rounded-xs,
.hover\:rounded-xs:hover {
  @include sable.border-border-radius($rounded-xs);
}
.rounded-sm,
.hover\:rounded-sm:hover {
  @include sable.border-border-radius($rounded-sm);
}
.rounded-base,
.hover\:rounded:hover {
  @include sable.border-border-radius($rounded-base);
}
.rounded-md,
.hover\:rounded-md:hover {
  @include sable.border-border-radius($rounded-md);
}
.rounded-lg,
.hover\:rounded-lg:hover {
  @include sable.border-border-radius($rounded-lg);
}
.rounded-xl,
.hover\:rounded-xl:hover {
  @include sable.border-border-radius($rounded-xl);
}
.rounded-2xl,
.hover\:rounded-2xl:hover {
  @include sable.border-border-radius($rounded-2xl);
}
.rounded-3xl,
.hover\:rounded-3xl:hover {
  @include sable.border-border-radius($rounded-3xl);
}
.rounded-4xl,
.hover\:rounded-4xl:hover {
  @include sable.border-border-radius($rounded-4xl);
}
.rounded-full,
.hover\:rounded-full:hover {
  @include sable.border-border-radius(9999px);
}

@each $bpName, $width in sable.$fun-breakpoints {
  @media (min-width: #{$width}) {
    .#{$bpName}\:rounded-none,
    .#{$bpName}\:hover\:rounded-none:hover {
      @include sable.border-border-radius($rounded-none);
    }
    .#{$bpName}\:rounded-xs,
    .#{$bpName}\:hover\:rounded-xs:hover {
      @include sable.border-border-radius($rounded-xs);
    }
    .#{$bpName}\:rounded-sm,
    .#{$bpName}\:hover\:rounded-sm:hover {
      @include sable.border-border-radius($rounded-sm);
    }
    .#{$bpName}\:rounded-base,
    .#{$bpName}\:hover\:rounded:hover {
      @include sable.border-border-radius($rounded-base);
    }
    .#{$bpName}\:rounded-md,
    .#{$bpName}\:hover\:rounded-md:hover {
      @include sable.border-border-radius($rounded-md);
    }
    .#{$bpName}\:rounded-lg,
    .#{$bpName}\:hover\:rounded-lg:hover {
      @include sable.border-border-radius($rounded-lg);
    }
    .#{$bpName}\:rounded-xl,
    .#{$bpName}\:hover\:rounded-xl:hover {
      @include sable.border-border-radius($rounded-xl);
    }
    .#{$bpName}\:rounded-2xl,
    .#{$bpName}\:hover\:rounded-2xl:hover {
      @include sable.border-border-radius($rounded-2xl);
    }
    .#{$bpName}\:rounded-3xl,
    .#{$bpName}\:hover\:rounded-3xl:hover {
      @include sable.border-border-radius($rounded-3xl);
    }
    .#{$bpName}\:rounded-4xl,
    .#{$bpName}\:hover\:rounded-4xl:hover {
      @include sable.border-border-radius($rounded-4xl);
    }
    .#{$bpName}\:rounded-full,
    .#{$bpName}\:hover\:rounded-full:hover {
      @include sable.border-border-radius(9999px);
    }
  }
}

.border-none,
.hover\:border-none:hover,
.focus\:border-none:focus {
  @include sable.border-border-none();
}

.border {
  @include sable.border-border(1px solid black);
}

.border-0 {
  @include sable.border-border-width(0);
}
.border-1 {
  @include sable.border-border-width(1px);
}

.border-solid,
.hover\:border-solid:hover,
.focus\:border-solid:focus	{
  @include sable.border-border-style(solid);
}
.border-dashed,
.hover\:border-dashed:hover,
.focus\:border-dashed:focus {
  @include sable.border-border-style(dashed);
}
.border-dotted,
.hover\:border-dotted:hover,
.focus\:border-dotted:focus {
  @include sable.border-border-style(dotted);
}
.border-double,
.hover\:border-double:hover,
.focus\:border-double:focus {
  @include sable.border-border-style(double);
}

.outline-none,
.hover\:outline-none:hover,
.focus\:outline-none:focus {
  @include sable.border-outline-none();
}

.outline-0 {
  @include sable.border-outline-width(0);
}
.outline-1 {
  @include sable.border-outline-width(1px);
}

.outline-solid,
.hover\:outline-solid:hover,
.focus\:outline-solid:focus {
  @include sable.border-outline-style(solid);
}
.outline-dashed,
.hover\:outline-dashed:hover,
.focus\:outline-dashed:focus {
  @include sable.border-outline-style(dashed);
}
.outline-dotted,
.hover\:outline-dotted:hover,
.focus\:outline-dotted:focus {
  @include sable.border-outline-style(dotted);
}
.outline-double,
.hover\:outline-double:hover,
.focus\:outline-double:focus {
  @include sable.border-outline-style(double);
}

@each $bpName, $width in sable.$fun-breakpoints {
  @media (min-width: #{$width}) {
    .#{$bpName}\:border-none,
    .#{$bpName}\:hover\:border-none:hover,
    .#{$bpName}\:focus\:border-none:focus {
      @include sable.border-border-none();
    }

    .#{$bpName}\:border {
      @include sable.border-border(1px solid black);
    }

    .#{$bpName}\:border-0 {
      @include sable.border-border-width(0);
    }
    .#{$bpName}\:border-1 {
      @include sable.border-border-width(1px);
    }

    .#{$bpName}\:border-solid,
    .#{$bpName}\:hover\:border-solid:hover,
    .#{$bpName}\:focus\:border-solid:focus {
      @include sable.border-border-style(solid);
    }
    .#{$bpName}\:border-dashed,
    .#{$bpName}\:hover\:border-dashed:hover,
    .#{$bpName}\:focus\:border-dashed:focus {
      @include sable.border-border-style(dashed);
    }
    .#{$bpName}\:border-dotted,
    .#{$bpName}\:hover\:border-dotted:hover,
    .#{$bpName}\:focus\:border-dotted:focus {
      @include sable.border-border-style(dotted);
    }
    .#{$bpName}\:border-double,
    .#{$bpName}\:hover\:border-double:hover,
    .#{$bpName}\:focus\:border-double:focus {
      @include sable.border-border-style(double);
    }

    .#{$bpName}\:outline-none,
    .#{$bpName}\:hover\:outline-none:hover,
    .#{$bpName}\:focus\:outline-none:focus {
      @include sable.border-outline-none();
    }

    .#{$bpName}\:outline-0 {
      @include sable.border-outline-width(0);
    }
    .#{$bpName}\:outline-1 {
      @include sable.border-outline-width(1px);
    }

    .#{$bpName}\:outline-solid,
    .#{$bpName}\:hover\:outline-solid:hover,
    .#{$bpName}\:focus\:outline-solid:focus {
      @include sable.border-outline-style(solid);
    }
    .#{$bpName}\:outline-dashed,
    .#{$bpName}\:hover\:outline-dashed:hover,
    .#{$bpName}\:focus\:outline-dashed:focus {
      @include sable.border-outline-style(dashed);
    }
    .#{$bpName}\:outline-dotted,
    .#{$bpName}\:hover\:outline-dotted:hover,
    .#{$bpName}\:focus\:outline-dotted:focus {
      @include sable.border-outline-style(dotted);
    }
    .#{$bpName}\:outline-double,
    .#{$bpName}\:hover\:outline-double:hover,
    .#{$bpName}\:focus\:outline-double:focus {
      @include sable.border-outline-style(double);
    }
  }
}
